from launch_ros.actions import Node

from launch import LaunchDescription


def generate_launch_description():
    return LaunchDescription(
        [
            Node(
                package="ls2n_drone_command_center",
                executable="qualisys",
                remappings=[
                    ("crazy2fly1", "/Drone1/Mocap/odom"),
                    ("crazy2fly2", "/Drone2/Mocap/odom"),
                    ("crazy2fly3", "/Drone3/Mocap/odom"),
                    ("crazy2fly4", "/Drone4/Mocap/odom"),
                    ("crazy2fly5", "/Drone5/Mocap/odom"),
                    ("crazy2fly6", "/Drone6/Mocap/odom"),
                    ("crazy2fly7", "/Drone7/Mocap/odom"),
                    ("crazy2fly8", "/Drone8/Mocap/odom"),
                    ("crazy2fly9", "/Drone9/Mocap/odom"),
                    ("crazy2fly10", "/Drone10/Mocap/odom"),
                    ("platform_fpr", "/FPR/Mocap/odom"),
                    ("crazyflie1", "/Drone1/Mocap/odom"),
                    ("px4vision1", "/px4_1/mocap/odom"),
                    ("px4vision2", "/px4_2/mocap/odom"),
                    ("px4vision4", "/px4_4/mocap/odom"),
                ],
                parameters=[{"ip_address": "192.168.0.10"}],
            )
        ]
    )
